package lexer

import "strings"

var EscSeqPrintReplacer = strings.NewReplacer(
	`\`, `\\`,
	"\n", `\n`,
	"\t", `\t`,
	"\f", `\f`,
	"\r", `\r`,
	"\v", `\v`,
	"\b", `\b`,
	"\a", `\a`,
)

var EscSeqReplacer = strings.NewReplacer(
	`\\`, `\`,
	`\n`, "\n",
	`\t`, "\t",
	`\f`, "\f",
	`\r`, "\r",
	`\v`, "\v",
	`\b`, "\b",
	`\a`, "\a",
)
